/**
 * EntityNamePartType.java
 *
 * File generated from the medication::EntityNamePartType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityNamePartType.
 *
 * 
 */

@XmlType(name = "EntityNamePartType")
@XmlEnum
@XmlRootElement(name = "EntityNamePartType")
public enum EntityNamePartType {
	@XmlEnumValue("DEL")
	DEL("DEL"),
	@XmlEnumValue("FAM")
	FAM("FAM"),
	@XmlEnumValue("GIV")
	GIV("GIV"),
	@XmlEnumValue("PFX")
	PFX("PFX"),
	@XmlEnumValue("SFX")
	SFX("SFX");
	
	private final String value;

    EntityNamePartType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static EntityNamePartType fromValue(String v) {
        for (EntityNamePartType c: EntityNamePartType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}